package cn.com.qmth.examcloud.logic.reports.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.math.RandomUtils;
import org.apache.xmlbeans.GDate;
import org.springframework.stereotype.Service;

import com.google.common.collect.Lists;

import cn.com.qmth.examcloud.common.support.helpers.KeyValuePair;
import cn.com.qmth.examcloud.logic.reports.service.OnLineService;
import cn.com.qmth.examcloud.logic.reports.service.bean.GlobalOnLineData;
import cn.com.qmth.examcloud.logic.reports.service.bean.SchoolOnLineData;

@Service
public class OnLineServiceImpl implements OnLineService {

	@Override
	public GlobalOnLineData getGlobalOnLineData() {
		GlobalOnLineData globalOnLineData = new GlobalOnLineData();
		globalOnLineData.setExamCount(100);
		globalOnLineData.setExercisesCount(20);
		globalOnLineData.setOnlineCount(4000);
		globalOnLineData.setRegisterCount(500);
		return globalOnLineData;
	}

	@Override
	public List<SchoolOnLineData> getAllSchoolOnLineDataList() {
		SchoolOnLineData aSchool = new SchoolOnLineData();
		aSchool.setSchoolName("A大学");
		aSchool.setSchoolDomain("www.a.com");
		aSchool.setExamCount(100);
		aSchool.setExercisesCount(20);
		aSchool.setOnlineCount(4000);
		aSchool.setRegisterCount(500);

		SchoolOnLineData bSchool = new SchoolOnLineData();
		bSchool.setSchoolName("B大学");
		bSchool.setSchoolDomain("www.b.com");
		bSchool.setExamCount(600);
		bSchool.setExercisesCount(40);
		bSchool.setOnlineCount(6000);
		bSchool.setRegisterCount(400);

		ArrayList<SchoolOnLineData> list = Lists.newArrayList();
		list.add(aSchool);
		list.add(bSchool);

		return list;
	}

	@Override
	public List<KeyValuePair<String, Long>> getLatestGlobalOnLineDataList() {

		ArrayList<KeyValuePair<String, Long>> list = Lists.newArrayList();
		for (int i = 1; i < 6; i++) {
			list.add(new KeyValuePair<String, Long>(String.valueOf(i), 1000L * RandomUtils.nextInt(10)));
		}
		return list;
	}

}